MetricsLongValue (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.util
Class MetricsLongValue

    java.lang.Object
      org.apache.hadoop.metrics.util.MetricsBase
          org.apache.hadoop.metrics.util.MetricsLongValue

    public class MetricsLongValue

extends MetricsBase

The MetricsLongValue class is for a metric that is not time varied but changes only when it is set. Each time its value is set, it is published only *once* at the next update call.

Field Summary

Fields inherited from class org.apache.hadoop.metrics.util.MetricsBase
`NO_DESCRIPTION`

Constructor Summary
`MetricsLongValue(String nam, MetricsRegistry registry)` Constructor - create a new metric
`MetricsLongValue(String nam, MetricsRegistry registry, String description)` Constructor - create a new metric

Method Summary
`long` | `get()` Get value
`void` | `pushMetric(MetricsRecord mr)` Push the metric to the mr.
`void` | `set(long newValue)` Set the value

Methods inherited from class org.apache.hadoop.metrics.util.MetricsBase
`getDescription, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricsLongValue

    public MetricsLongValue(String nam,
                            MetricsRegistry registry,
                            String description)

  Constructor - create a new metric

  Parameters:
    `nam` - the name of the metrics to be used to publish the metric
    `registry` - - where the metrics object will be registered

### MetricsLongValue

    public MetricsLongValue(String nam,
                            MetricsRegistry registry)

  Constructor - create a new metric

  Parameters:
    `nam` - the name of the metrics to be used to publish the metric
    `registry` - - where the metrics object will be registered A description of `MetricsBase.NO_DESCRIPTION` is used

Method Detail

### set

    public void set(long newValue)

  Set the value

  Parameters:
    `newValue` -

### get

    public long get()

  Get value

  Returns:
    the value last set

### pushMetric

    public void pushMetric(MetricsRecord mr)

  Push the metric to the mr. The metric is pushed only if it was updated since last push Note this does NOT push to JMX (JMX gets the info via `get()`

  Specified by:
    `pushMetric` in class `MetricsBase`
  Parameters:
    `mr` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation